# $Revision: 1.20 $, $Date: 2007-06-09 14:29:09 $
%define		mod_name	security
%define 	apxs		/usr/sbin/apxs
Summary:	Apache module: securing web applications
Summary(pl.UTF-8):	Moduł do apache: ochrona aplikacji WWW
Name:		apache-mod_%{mod_name}
Version:	1.9.5
Release:	1
License:	GPL v2
Group:		Networking/Daemons
Source0:	http://www.modsecurity.org/download/modsecurity-apache_%{version}.tar.gz
# Source0-md5:	83f56cce4207d02b93ff60870bf1204f
URL:		http://www.modsecurity.org/
BuildRequires:	apache-devel
BuildRequires:	rpmbuild(macros) >= 1.268
Requires:	apache(modules-api) = %apache_modules_api
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_pkglibdir	%(%{apxs} -q LIBEXECDIR 2>/dev/null)
%define		_sysconfdir	%(%{apxs} -q SYSCONFDIR 2>/dev/null)

%description
ModSecurity is an open source intrusion detection and prevention
engine for web applications. It operates embedded into the web server,
acting as a powerful umbrella - shielding web applications from
attacks.

%description -l pl.UTF-8
ModSecurity jest otwartym silnikiem wykrywania i zapobiegania intruzom
dla aplikacji WWW. Operuje w ramach serwera WWW, działając jak potężny
parasol chroniący aplikacje WWW przed atakami.

%prep
%setup -q -n modsecurity-apache_%{version}

%build
cd apache2
%{apxs} -c mod_%{mod_name}.c

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_pkglibdir},%{_sysconfdir}/httpd.conf}

install apache2/.libs/mod_%{mod_name}.so $RPM_BUILD_ROOT%{_pkglibdir}
echo 'LoadModule %{mod_name}_module modules/mod_%{mod_name}.so' > \
	$RPM_BUILD_ROOT%{_sysconfdir}/httpd.conf/90_mod_%{mod_name}.conf

%clean
rm -rf $RPM_BUILD_ROOT

%post
%service -q httpd restart

%postun
if [ "$1" = "0" ]; then
	%service -q httpd restart
fi

%files
%defattr(644,root,root,755)
%doc CHANGES README httpd.conf*
%doc doc/modsecurity-manual.[ch]* doc/*.gif util
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/httpd.conf/*_mod_%{mod_name}.conf
%attr(755,root,root) %{_pkglibdir}/*.so

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: apache-mod_security.spec,v $
Revision 1.20  2007-06-09 14:29:09  gotar
- upgraded to 1.9.5

Revision 1.19  2007/02/12 21:23:47  glen
- tabs in preamble

Revision 1.18  2007/02/12 00:48:37  baggins
- converted to UTF-8

Revision 1.17  2006/05/16 00:38:37  zbyniu
- up to 1.9.4; more docs, nothing useful in INSTALL

Revision 1.16  2006/04/14 17:07:56  glen
- restart apache in %postun rather in %preun as the config file, loading module
  is still there and module will be loaded after package is uninstalled, which
  later causes missing configuration file errors.

Revision 1.15  2006/03/08 13:05:23  darekr
- added useful INSTALL file

Revision 1.14  2006/01/30 17:39:10  glen
- use %service

Revision 1.13  2006/01/24 22:31:28  zbyniu
- up to 1.9.2

Revision 1.12  2005/12/27 00:49:35  glen
- unified

Revision 1.11  2005/12/02 19:33:02  zbyniu
- up to 1.9.1 (stable), rel 1

Revision 1.10  2005/10/27 22:05:47  zbyniu
- up to 1.9RC1

Revision 1.9  2005/04/12 16:00:26  matowy
- up 1.8.7

Revision 1.8  2005/02/24 19:14:01  mwinkler
- up to 1.8.7RC1

Revision 1.7  2005/02/24 18:56:07  mwinkler
- URL fix

Revision 1.6  2004/11/25 10:26:07  radek
- unified macros

Revision 1.5  2004/11/24 18:01:39  qboosh
- pl unification

Revision 1.4  2004/11/24 00:36:17  ankry
- some cleaning

Revision 1.3  2004/11/23 23:45:46  zergin
- description corection

Revision 1.2  2004/11/23 23:36:33  zbyniu
- initial again
